﻿-- CECB Options Chinese Simplified localization file
-- Maintained by: iCeSun - 五区 元素之力 [MYTH]神話公会 张宝仔
-- Last updated: 2007年07月24日

--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!

if ( GetLocale() == "zhCN" ) then

	-- specials => need to be defined by the "special=true" flag or won't be parsed any longer!
	NECB_Victory_Rush = "乘胜追击"; -- exception, is parsed at another point

	CEnemyCastBar_Spells = {

	-- IMPORTANT: Maybe some spells which cause debuffs have to be moved to CEnemyCastBar_Afflictions to be shown
	-- "t=x" defines the normal length of the castbar. "d=x" will add a cooldown timer for spells with a casttime and for gains.
	-- "g=0" prevents a bar if a player gains this spell. "g=x" shows a bar of x seconds instead of "t=x" if it's a gain. (Even prevents CD if it's a gain.)
	-- "i=x" shows a bar of x seconds additional to "t" (everytime)
	-- HoT=true, spell stacks of HoTs will be counted; spell is able to be updated by player casts on target
	-- onfade=true, cooldown timer will be reset to full duration if the spell fades (to have an exact timing for 'Inner Focus' etc.)
	-- icasted=true, used for instant casts ("Player xy casts spell.")
	-- cgain=true, are able to be updated by player casts on target (HoT=true and cgain=true are beeing treated the same by the update feature.)
	-- swarn=true, will play a sound warning if this bar appears
	-- callspell={"SpellName", talentTab, talentNumber, checkValue}. Only processed in clients local system (keypress): If invested talent points == checkValue bar will update "SpellName" (current example 'Healing Wave'); Target spell must have "cgain=true" to be updated!
	-- special=true, calls a bar if casted by yourself! => special="getbuff" additionally gathers correct Buff duration from buff slot!
	-- nofade=true, will be skipped by the 'fade' routine -> bar won't be deleted on fade detect (lifebloom, problem with stacks otherwise)
	-- cdclass="CLASS", only triggers a cooldown for the specified CLASS
	-- heal=true, flags this cast to be a heal -> allows to only display these spells when healing cast filter enabled


	-- All Classes
	-- General
	["炉石"] = {t=10.0, icontex="INV_Misc_Rune_01"};

	-- Trinkets & Racials
	["脆弱护甲"] = 	{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
	["能量无常"] = 	{t=20.0, d=120, icontex="Spell_Lightning_LightningBolt01"}; -- gain
	["充沛之力"] = 	{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
	["短暂强力"] = 	{t=15.0, d=90, icontex="Spell_Holy_MindVision"}; -- gain
	["奥术强化"] = 	{t=15.0, d=180, icontex="Spell_Nature_Lightning"}; -- gain
	["大规模杀伤性魔法"] = 	{t=20.0, d=180, icontex="Spell_Fire_WindsofWoe"}; -- gain
	["奥术潜能"] = 	{t=20.0, d=180, icontex="Spell_Arcane_StarFire"}; -- gain
	["能量护盾"] = 	{t=20.0, d=180, icontex="Spell_Nature_CallStorm"}; -- gain
	["辉煌之光"] = 	{t=20.0, d=180, icontex="Spell_Holy_MindVision"}; -- gain
	["亡灵意志"] = 	{t=5.0, d=120, swarn=true, icontex="Spell_Shadow_RaiseDead"}; -- gain
	["感知"] = 	{t=20.0, d=180, icontex="Spell_Nature_Sleep"}; -- gain
	["玛尔里的思想加速"] = 	{t=30.0, d=180, icontex="INV_ZulGurubTrinket"}; -- gain
	["战争践踏"] = 	{t=0.5, d=120, icontex="Ability_WarStomp"};
	["石像形态"] = 	{t=8.0, d=180, icontex="Spell_Shadow_UnholyStrength"};
	["狂暴"] = 	{t=10, d=180, icontex="Racial_Troll_Berserk"};

	["大地之击"] = 	{t=20.0, d=120, icontex="Spell_Nature_AbolishMagic"}; -- gain
	["生命赐福"] = 	{t=20.0, d=300, icontex="INV_Misc_Gem_Pearl_05"}; -- gain
	["自然之盟"] = 	{t=20.0, d=300, icontex="Spell_Nature_SpiritArmor"}; -- gain

	["纳鲁的祝福"] = 	{t=1.5, g=15.0, HoT=true, heal=true, icontex="Spell_Holy_HolyProtection"}; -- BC HoT Draenei

	-- Engineering
	["冰霜反射器"] = 	{t=5.0, d=300.0, swarn=true, icontex="Spell_Frost_FrostWard"}; -- gain
	["暗影反射器"] = 	{t=5.0, d=300.0, swarn=true, icontex="Spell_Shadow_AntiShadow"}; -- gain
	["火焰反射器"] = 	{t=5.0, d=300.0, swarn=true, icontex="Spell_Fire_SealOfFire"}; -- gain
	
	-- First Aid
	["急救"] = 	{t=8.0, d=60, icontex="Spell_Holy_Heal"}; -- gain

	
	-- Druid
	["治疗之触"] = 	{t=3.0, heal=true, icontex="Spell_Nature_HealingTouch"};
	["愈合"] = 	{t=2.0, g=21.0, HoT=true, heal=true, icontex="Spell_Nature_ResistNature"};
	["复生"] = 	{d=1800, icasted=true, icontex="Spell_Nature_Reincarnation"};
	["星火术"] = 	{t=3.0, icontex="Spell_Arcane_StarFire"};
	["愤怒"] = 	{t=1.5, icontex="Spell_Nature_AbolishMagic"};
	["纠缠根须"] = 	{t=1.5, icontex="Spell_Nature_StrangleVines"};
	["急奔"] = 	{t=15.0, d=300.0, icontex="Ability_Druid_Dash"}; -- gain
	["休眠"] = 	{t=1.5, icontex="Spell_Nature_Sleep"};
	["安抚动物"] = 	{t=1.5, icontex="Ability_Hunter_BeastSoothe"};
	["树皮术"] = 	{t=12.0, d=60, icontex="Spell_Nature_StoneClawTotem"}; -- gain
	["激活"] = 	{t=20.0, cgain=true, icontex="Spell_Nature_Lightning"}; -- gain
	["传送：月光林地"] = 	{t=10.0, icontex="Spell_Arcane_TeleportMoonglade"};
	["猛虎之怒"] = 	{t=6.0, icontex="Ability_Mount_JungleTiger"}; -- gain
	["狂暴回复"] = 	{t=10.0, d=180.0, icontex="Ability_BullRush"}; -- gain
	["回春术"] = 	{t=12.0, HoT=true, icontex="Spell_Nature_Rejuvenation"}; -- gain
	["驱毒术"] = 	{t=8.0, cgain=true, icontex="Spell_Nature_NullifyPoison_02"}; -- gain
	["宁静"] = 	{t=8.0, icontex="Spell_Nature_Tranquility"};
	["自然之握"] = 	{t=45, d=60, icontex="Spell_Nature_NaturesWrath"}; -- talent gain
	["飓风术"] = 	{t=1.5, icontex="Spell_Nature_EarthBind"};
	["生命之花"] = 	{t=7, cgain=true, nofade=true, icontex="INV_Misc_Herb_Felblossom"}; -- gain
	["自然之力"] = 	{t=30, d=180, icasted=true, special=true, icontex="Ability_Druid_ForceofNature"}; -- gain
	["自然迅捷"] =	{d=180, onfade=true, icontex="Spell_Nature_RavenForm"}; -- gain

	
	-- Hunter
	-- perform ["瞄准射击"] = 	{t=3.0, d=6.0, icontex="INV_Spear_07"};
	["恐吓野兽"] = 	{t=1.0, d=30.0, icontex="Ability_Druid_Cower"};
	["乱射"] = 	{t=6.0, d=60.0, icontex="Ability_Marksmanship"};
	["解散宠物"] = 	{t=5.0, icontex="Spell_Nature_SpiritWolf"};
	["复活宠物"] = 	{t=10.0, icontex="Ability_Hunter_BeastSoothe"};
	["野兽之眼"] = 	{t=2.0, icontex="Ability_EyeOfTheOwl"};
	["急速射击"] = 	{t=15.0, d=300.0, icontex="Ability_Hunter_RunningShot"}; -- gain
	["威慑"] = 	{t=10, d=300.0, icontex="Ability_Whirlwind"}; -- gain
	["多重射击"] = 	{d=10.0, icontex="Ability_UpgradeMoonGlaive"};
	["狂野怒火"] = 	{t=18, d=120.0, icontex="Ability_Druid_FerociousBite"}; -- Pet gain
	["野兽之心"] =	{t=18, d=120, icontex="Ability_Hunter_BeastWithin"}; -- gain, Talent
	["预备"] = 	{d=300, icasted=true, icontex="Ability_Hunter_Readiness"}; -- Talent
	["治疗宠物"] = 	{t=15, special="pet", icontex="Ability_Hunter_MendPet"}; -- pet gain
	["喂养宠物"] = 		{t=20, special="pet", icontex="Ability_Hunter_BeastTraining"}; -- pet gain
	-- perform ["稳固射击"] = 	{t=1, icontex="Ability_Hunter_SteadyShot"};
	["嫁祸"] = 		{t=30, d=120, cdclass="HUNTER", icontex="Ability_Hunter_Misdirection"};

	
	-- Mage
	["寒冰箭"] = {t=2.5, icontex="Spell_Frost_FrostBolt02"};
	["火球术"] = {t=3.0, icontex="Spell_Fire_FlameBolt"};
	["变形术"] = {t=1.5, icontex="Spell_Nature_Polymorph"};
	["变形术：猪"] = {t=1.5, icontex="Spell_Magic_PolymorphPig"};
	["变形术：龟"] = {t=1.5, icontex="Ability_Hunter_Pet_Turtle"};
	["炎爆术"] = {t=6.0, icontex="Spell_Fire_Fireball02"};
	["灼烧"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
	["烈焰风暴"] = {t=3.0, r="死爪地卜师", a=2.5, icontex="Spell_Fire_SelfDestruct"};
	["缓落术"] = {t=30.0, icontex="Spell_Magic_FeatherFall"}; -- gain
	["防护火焰结界"] = {t=30.0, icontex="Spell_Fire_FireArmor"}; -- gain
	["防护冰霜结界"] = {t=30.0, icontex="Spell_Frost_FrostWard"}; -- gain
	["唤醒"] = {t=8.0, d=480, icontex="Spell_Nature_Purge"}; -- gain
	["寒冰屏障"] = {t=10.0, d=300.0, icontex="Spell_Frost_Frost"}; -- gain
	["寒冰护体"] = {d=30.0, icontex="Spell_Ice_Lament"};
	["闪现术"] = {d=15.0, icontex="Spell_Arcane_Blink"};
	["隐形术"] = {t=8, d=300, icontex="Ability_Mage_Invisibility"}; -- gain
	["水箭"] = {t=2.5, icontex="Spell_Frost_FrostBolt"}; -- Mage Talent ('Pet' Spell)
	["奥术冲击"] = {t=2.5, icontex="Spell_Arcane_Blast"};
	["召唤水元素"] = {t=45, d=180, icasted=true, special=true, icontex="Spell_Frost_SummonWaterElemental_2"}; --2.0 Talent
	["急速冷却"] = {d=600, icasted=true, icontex="Spell_Frost_WizardMark"};
	["气定神闲"] = {d=180, onfade=true, icontex="Spell_Nature_EnchantArmor"}; -- gain
	["燃烧"] = {d=180, icontex="Spell_Fire_SealOfFire"}; -- gain
	["炽热疾速"] = {t=8, icontex="Spell_Fire_BurningSpeed"}; -- gain

	
	-- Paladin
	["圣光术"] = {t=2.5, heal=true, icontex="Spell_Holy_HolyBolt"};
	["圣光闪现"] = {t=1.5, heal=true, icontex="Spell_Holy_FlashHeal"};
	["召唤战马"] = {t=3.0, g=0.0, icontex="Ability_Mount_Charger"};
	["召唤军马"] = {t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
	["愤怒之锤"] = {t=0.5, d=5.5, icontex="Ability_ThunderClap"};
	["神圣愤怒"] = {t=2.0, d=60.0, icontex="Spell_Holy_Excorcism"};
	["超度亡灵"] = {t=1.5, d=30.0, icontex="Spell_Holy_TurnUndead"};
	["救赎"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
	["圣佑术"] = {t=8.0, d=300.0, swarn=true, icontex="Spell_Holy_Restoration"}; -- gain
	["圣盾术"] = {t=12.0, d=300.0, swarn=true, icontex="Spell_Holy_DivineIntervention"}; -- gain
	["自由祝福"] = {t=16.0, icontex="Spell_Holy_SealOfValor"}; -- gain
	["保护祝福"] = {t=10.0, d=60, icontex="Spell_Holy_SealOfProtection"}; -- gain
	["牺牲祝福"] = {t=30.0, icontex="Spell_Holy_SealOfSacrifice"}; -- gain
	["复仇"] = {t=8.0, icontex="Ability_Racial_Avatar"}; -- gain, Talent
	["复仇之怒"] = {t=20, d=180, icontex="Spell_Holy_AvengineWrath"}; -- gain
	["神圣启发"] = {t=15, d=180, icontex="Spell_Holy_DivineIllumination"}; -- gain, Talent
	["复仇者之盾"] = {t=1, d=30, icontex="Spell_Holy_AvengersShield"}; -- Talent
	["神恩术"] = {d=120, onfade=true, icontex="Spell_Holy_Heal"}; -- gain, Talent
	["神圣之盾"] = {t=10, icontex="Spell_Holy_BlessingOfProtection"}; -- gain
	["神圣震击"] = {d=15, icasted=true, icontex="Spell_Holy_SearingLight"}; -- gain
	["复仇圣印"] = {t=30, icontex="Spell_Holy_SealOfVengeance"}; -- gain

	
	-- Priest
	["强效治疗术"] = {t=2.5, g=15, HoT=true, heal=true, icontex="Spell_Holy_GreaterHeal"};
	["治疗术"] = {t=2.5, heal=true, icontex="Spell_Holy_Heal"};
	["快速治疗"] = {t=1.5, heal=true, icontex="Spell_Holy_FlashHeal"};
	["复活术"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
	["惩击"] = {t=2.0, icontex="Spell_Holy_HolySmite"};
	["心灵震爆"] = {t=1.5, d=8.0, icontex="Spell_Shadow_UnholyFrenzy"};
	["精神控制"] = {t=3.0, g=0.0, icontex="Spell_Shadow_ShadowWordDominate"};
	["法力燃烧"] = {t=3.0, icontex="Spell_Shadow_ManaBurn"};
	["神圣之火"] = {t=3.0, icontex="Spell_Holy_SearingLight"};
	["安抚心灵"] = {t=1.5, icontex="Spell_Holy_MindSooth"};
	["治疗祷言"] = {t=3.0, icontex="Spell_Holy_PrayerOfHealing02"};
	["束缚亡灵"] = {t=1.5, icontex="Spell_Nature_Slow"};
	["渐隐术"] = {t=10.0, d=30.0, icontex="Spell_Magic_LesserInvisibilty"}; -- gain
	["恢复"] = {t=15.0, HoT=true, icontex="Spell_Holy_Renew"}; -- gain
	["驱除疾病"] = {t=20.0, cgain=true, icontex="Spell_Nature_NullifyDisease"}; -- gain
	["回馈"] = {t=15.0, d=180, icontex="Spell_Shadow_RitualOfSacrifice"}; -- gain
	["灵感"] = {t=15.0, icontex="INV_Shield_06"}; -- gain (target), Talent
	["能量灌注"] = {t=15.0, icontex="Spell_Holy_PowerInfusion"}; -- gain, Talent
	["专注施法"] = {t=6.0, icontex="Spell_Arcane_Blink"}; -- gain, Talent
	["真言术：盾"] = {t=30, d=15.0, icontex="Spell_Holy_PowerWordShield"}; -- gain
	["信仰护盾"] = {t=30.0, icontex="Spell_Holy_BlessingOfProtection"}; -- gain, Priest Tier 3 [Vestments of Faith] 4/9 Proc
	["心灵专注"] = {d=180, onfade=true, icontex="Spell_Frost_WindWalkOn"}; -- gain, Talent
	["群体驱散"] = {t=1.5, icontex="Spell_Arcane_MassDispel"};
	["联结治疗"] = {t=1.5, icontex="Spell_Holy_BlindingHeal"};
	["疼痛抑制"] = {t=8, d=180, swarn=true, icontex="Spell_Holy_PainSupression"}; -- gain, Talent
	["吸血鬼之触"] = {t=1.5, icontex="Spell_Holy_Stoicism"}; -- Talent
	["光明之泉"] = {t=1.5, d=360, icontex="Spell_Holy_SummonLightwell"}; -- Talent
	["愈合祷言"] = {t=30, cgain=true, icontex="Spell_Holy_PrayerOfMending"}; -- gain 2.0
	["暗影恶魔"] = {t=15, d=300, icasted=true, special=true, icontex="Spell_Shadow_Shadowfiend"}; --2.0

	
	-- Rogue
	-- perform ["解除陷阱"] = {t=2.0, icontex="Spell_Shadow_GrimWard"};
	["疾跑"] = {t=15.0, d=300.0, icontex="Ability_Rogue_Sprint"}; -- gain
	-- perform ["开锁"] = {t=5.0, icontex="Spell_Nature_MoonKey"};
	["闪避"] = {t=15.0, swarn=true, d=300, icontex="Spell_Shadow_ShadowWard"}; -- gain
	["消失"] = {t=10.0, d=300, icontex="Ability_Vanish"}; -- gain
	["剑刃乱舞"] = {t=15.0, d=120, icontex="Ability_Rogue_SliceDice"}; -- gain
	["冷血"] = {d=180, onfade=true, icontex="Spell_Ice_Lament"}; -- gain, Talent
	["冲动"] = {t=15, d=300, icontex="Spell_Shadow_ShadowWordDominate"}; -- gain, Talent
	["暗影斗篷"] = {t=5, d=60, swarn=true, icontex="Spell_Shadow_NetherCloak"}; -- gain
	["伺机待发"] = {d=600, icasted=true, icontex="Spell_Shadow_AntiShadow"}; -- Talent
	["暗影步"] = {t=10, d=15, icontex="Ability_Rogue_Shadowstep"}; -- gain
	["切割"] = {t=21, special="getbuff", icontex="Ability_Rogue_SliceDice"}; -- gain -- assuming full CPs but no talents

	
	-- Shaman
	["次级治疗波"] = {t=1.5, heal=true, icontex="Spell_Nature_HealingWaveLesser"};
	["治疗波"] = {t=2.5, callspell={"Healing Way", 3, 12, 3}, heal=true, icontex="Spell_Nature_MagicImmunity"}; -- talent
	["先祖之魂"] = {t=10.0, icontex="Spell_Nature_Regenerate"};
	["闪电链"] = {t=1.5, d=6.0, icontex="Spell_Nature_ChainLightning"}; -- Talent counted
	["幽魂之狼"] = {t=1.0, icontex="Spell_Nature_SpiritWolf"};
	["星界传送"] = {t=10.0, icontex="Spell_Nature_AstralRecal"};
	["治疗链"] = {t=2.5, icontex="Spell_Nature_HealingWaveGreater"};
	["闪电箭"] = {t=2.0, icontex="Spell_Nature_Lightning"}; -- Talent counted
	["视界术"] = {t=2.0, icontex="Spell_Nature_FarSight"};
	["石爪图腾"] = {t=15.0, d=30.0, icasted=true, icontex="Spell_Nature_StoneClawTotem"}; -- gain
	["法力之潮图腾"] = {t=12.0, d=300.0, icasted=true, icontex="Spell_Frost_SummonWaterElemental"}; -- gain
	["火焰新星图腾"] = {t=5.0, d=15.0, icasted=true, icontex="Spell_Fire_SealOfFire"}; -- gain
	["先祖治疗"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
	["治疗之道"] = {t=15.0, cgain=true, icontex="Spell_Nature_HealingWay"}; -- gain (target), Talent
	["根基图腾"] = {d=15.0, icasted=true, icontex="Spell_Nature_GroundingTotem"};
	["元素掌握"] = {d=180, onfade=true, icontex="Spell_Nature_WispHeal"}; -- gain, Talent
	["萨满之怒"] = {t=30, d=120, icontex="Spell_Nature_ShamanRage"}; -- gain, Talent
	["火元素图腾"] = {d=1200, icasted=true, icontex="Spell_Fire_Elemental_Totem"};
	["土元素图腾"] = {d=1200, icasted=true, icontex="Spell_Nature_EarthElemental_Totem"};
	["嗜血"] = {t=40.0, d=600, cdclass="SHAMAN", icontex="Ability_Shaman_Heroism"}; -- gain

	
	-- Warlock
	["暗影箭"] = {t=2.5, icontex="Spell_Shadow_ShadowBolt"};
	["献祭"] = {t=1.5, icontex="Spell_Fire_Immolation"};
	["灵魂之火"] = {t=4.0, d=60.0, icontex="Spell_Fire_Fireball02"};
	["灼热之痛"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
	["召唤小鬼"] = {t=6.0, icontex="Spell_Shadow_Imp"};
	["召唤魅魔"] = {t=6.0, icontex="Spell_Shadow_SummonSuccubus"};
	["召唤虚空行者"] = {t=6.0, icontex="Spell_Shadow_SummonVoidWalker"};
	["召唤地狱猎犬"] = {t=6.0, icontex="Spell_Shadow_SummonFelHunter"};
	["恐惧"] = {t=1.5, icontex="Spell_Shadow_Possession"};
	["恐惧嚎叫"] = {t=2.0, d=40.0, icontex="Spell_Shadow_DeathScream"};
	["放逐术"] = {t=1.5, icontex="Spell_Shadow_Cripple"};
	["召唤仪式"] = {t=5.0, icontex="Spell_Shadow_Twilight"};
	["末日仪式"] = {t=10.0, icontex="Spell_Shadow_AntiMagicShell"};
	["奴役恶魔"] = {t=3.0, icontex="Spell_Shadow_EnslaveDemon"};
	["地狱火"] = {t=2.0, d=3600, icontex="Spell_Fire_Incinerate"};
	["防护暗影结界"] = {t=30.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
	["诅咒增幅"] = {d=180, onfade=true, icontex="Spell_Shadow_Contagion"}; -- gain
	["腐蚀之种"] = {t=2, icontex="Spell_Shadow_SeedOfDestruction"};
	["灵魂仪式"] = {t=3, d=300, icontex="Spell_Shadow_Shadesofdarkness"};
	["烧尽"] = {t=2.5, icontex="Spell_Fire_FlameShock"};
	["痛苦无常"] = {t=1.5, icontex="Spell_Shadow_UnstableAffliction_3"};
	["暗影之怒"] = {t=0.5, d=20, icontex="Spell_Shadow_Shadowfury"};
	["召唤恶魔卫士"] = {t=6, icontex="Spell_Shadow_SummonFelGuard"};
	["恶魔支配"] = {d=900, onfade=true, icontex="Spell_Shadow_SummonFelGuard"}; -- gain, talent
	["灵魂石复活"] = {t=3, d=1800, g=0, icontex="INV_Misc_Orb_04"};
	["虚空防护"] = {t=4, swarn=true, icontex="Spell_Shadow_NetherProtection"}; -- gain, talent proc
	["反冲"] = {t=8, swarn=true, icontex="Spell_Fire_PlayingWithFire"}; -- gain, talent proc


	-- Imp
	["火焰箭"] = {t=1.5, icontex="Spell_Fire_FireBolt"};
	
	-- Succubus
	["诱惑"] = {t=1.5, icontex="Spell_Shadow_MindSteal"};
	["安抚之吻"] = {t=4.0, d=4.0, icontex="Spell_Shadow_SoothingKiss"};
	
	-- Voidwalker
	["吞噬暗影"] = {t=10.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
	
	-- Warrior
	["血性狂暴"] = {t=10.0, d=60, icontex="Ability_Racial_BloodRage"}; -- gain
	["嗜血"] = {t=8.0, d=6, icontex="Spell_Nature_BloodLust"}; -- gain
	["盾墙"] = {t=10.0, d=1800.0, swarn=true, icontex="Ability_Warrior_ShieldWall"}; -- gain
	["鲁莽"] = {t=15.0, d=1800.0, swarn=true, icontex="Ability_CriticalStrike"}; -- gain
	["反击风暴"] = {t=15.0, d=1800.0, swarn=true, icontex="Ability_Warrior_Challange"}; -- gain
	["狂暴之怒"] = {t=10.0, d=30, icontex="Spell_Nature_AncestralGuardian"}; -- gain
	["破釜沉舟"] = {t=20.0, d=480, icontex="Spell_Holy_AshesToAshes"}; -- gain
	["死亡之愿"] = {t=30.0, d=180, icontex="Spell_Shadow_DeathPact"}; -- gain
	-- ["狂怒"] = {t=12.0, icontex="Spell_Shadow_UnholyFrenzy"}; -- gain
	["盾牌格档"] = {t=6, icontex="Ability_Defend"}; -- gain, 1 Talent point in impr. block
	["法术反射"] = {t=5, d=10, swarn=true, icontex="Ability_Warrior_ShieldReflection"}; -- gain
	["暴怒"] = {t=30, special=true, icontex="Ability_Warrior_Rampage"}; -- gain
	["血之狂热"] = {t=6, icontex="Spell_Shadow_SummonImp"}; -- gain --2.0
	["复苏"] = {t=10, icontex="Ability_Hunter_Harass"}; -- gain --2.0
	[NECB_Victory_Rush] = {t=20, icontex="Ability_Warrior_Devastate"}; --2.0 special, but without flag! ;p
	
	}

end