--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!

if ( GetLocale() == "koKR" ) then

	-- specials => need to be defined so by the "special=true" flag or won't be parsed any longer!
	NECB_Victory_Rush = "승리의 돌진";

	CEnemyCastBar_Spells = {

		-- IMPORTANT: Maybe some spells which cause debuffs have to be moved to CEnemyCastBar_Afflictions to be shown
		-- "t=x" defines the normal length of the castbar. "d=x" will add a cooldown timer for spells with a casttime and for gains.
		-- "g=0" prevents a bar if a player gains this spell. "g=x" shows a bar of x seconds instead of "t=x" if it's a gain. (Even prevents CD if it's a gain.)
		-- "i=x" shows a bar of x seconds additional to "t" (everytime)
		-- HoT=true, spell stacks of HoTs will be counted; spell is able to be updated by player casts on target
		-- onfade=true, cooldown timer will be reset to full duration if the spell fades (to have an exact timing for 'Inner Focus' etc.)
		-- icasted=true, used for instant casts ("Player xy casts spell.")
		-- cgain=true, are able to be updated by player casts on target (HoT=true and cgain=true are beeing treated the same by the update feature.)
		-- swarn=true, will play a sound warning if this bar appears
		-- callspell={"SpellName", talentTab, talentNumber, checkValue}. Only processed in clients local system (keypress): If invested talent points == checkValue bar will update "SpellName" (current example 'Healing Wave'); Target spell must have "cgain=true" to be updated!
		-- special=true, calls a bar if casted by yourself! => special="getbuff" additionally gathers correct Buff duration from buff slot!
		-- nofade=true, will be skipped by the 'fade' routine -> bar won't be deleted on fade detect (lifebloom, problem with stacks otherwise)
		-- cdclass="CLASS", only triggers a cooldown for the specified CLASS
		-- heal=true, flags this cast to be a heal -> allows to only display these spells when healing cast filter enabled


		-- All Classes
			-- General
		["귀환석"] = {t=10.0, icontex="INV_Misc_Rune_01"};

			-- Trinkets & Racials
		["불완전한 갑옷"] = 		{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["불안정한 마력"] = 		{t=20.0, d=120, icontex="Spell_Lightning_LightningBolt01"}; -- gain
		["불안정한 힘"] = 	{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["마력의 힘"] = 		{t=15.0, d=90, icontex="Spell_Holy_MindVision"}; -- gain
		["신비의 마법 강화"] = 		{t=15.0, d=180, icontex="Spell_Nature_Lightning"}; -- gain
		["잔혹한 파괴"] = 	{t=20.0, d=180, icontex="Spell_Fire_WindsofWoe"}; -- gain
		["신비한 잠재력"] = 		{t=20.0, d=180, icontex="Spell_Arcane_StarFire"}; -- gain
		["보호막 강화"] = 		{t=20.0, d=180, icontex="Spell_Nature_CallStorm"}; -- gain
		["찬란한 빛"] = 		{t=20.0, d=180, icontex="Spell_Holy_MindVision"}; -- gain
		["포세이큰의 의지"] = 	{t=5.0, d=120, swarn=true, icontex="Spell_Shadow_RaiseDead"}; -- gain
		["직관력"] = 		{t=20.0, d=180, icontex="Spell_Nature_Sleep"}; -- gain
		["말리의 눈"] = 	{t=30.0, d=180, icontex="INV_ZulGurubTrinket"}; -- gain
		["전투 발구르기"] = 		{t=0.5, d=120, icontex="Ability_WarStomp"};
		["석화"] = 		{t=8.0, d=180, icontex="Spell_Shadow_UnholyStrength"};
		["광폭화"] = 		{t=10, d=180, icontex="Racial_Troll_Berserk"};

		["대지의 격동"] = 		{t=20.0, d=120, icontex="Spell_Nature_AbolishMagic"}; -- gain
		["생명의 보석"] = 		{t=20.0, d=300, icontex="INV_Misc_Gem_Pearl_05"}; -- gain
		["자연 동화의 수정"] = 		{t=20.0, d=300, icontex="Spell_Nature_SpiritArmor"}; -- gain

		["나루의 선물"] = 	{t=1.5, g=15.0, HoT=true, heal=true, icontex="Spell_Holy_HolyProtection"}; -- BC HoT Draenei

			-- Engineering
		["회전냉각식 냉기 반사기"] = 		{t=5.0, d=300.0, swarn=true, icontex="Spell_Frost_FrostWard"}; -- gain
		["초광자 암흑 반사기"] = 		{t=5.0, d=300.0, swarn=true, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["극고온 화염 반사기"] = 		{t=5.0, d=300.0, swarn=true, icontex="Spell_Fire_SealOfFire"}; -- gain
		
			-- First Aid
		["응급 치료"] = 		{t=8.0, d=60, icontex="Spell_Holy_Heal"}; -- gain

		
		-- Druid
		["치유의 손길"] = 		{t=3.0, heal=true, icontex="Spell_Nature_HealingTouch"};
		["재생"] = 			{t=2.0, g=21.0, HoT=true, heal=true, icontex="Spell_Nature_ResistNature"};
		["환생"] = 			{d=1800, icasted=true, icontex="Spell_Nature_Reincarnation"};
		["별빛 화살"] = 			{t=3.0, icontex="Spell_Arcane_StarFire"};
		["천벌"] = 			{t=1.5, icontex="Spell_Nature_AbolishMagic"};
		["휘감는 뿌리"] = 		{t=1.5, icontex="Spell_Nature_StrangleVines"};
		["질주"] = 			{t=15.0, d=300.0, icontex="Ability_Druid_Dash"}; -- gain
		["겨울잠"] = 		{t=1.5, icontex="Spell_Nature_Sleep"};
		["동물 달래기"] = 		{t=1.5, icontex="Ability_Hunter_BeastSoothe"};
		["나무 껍질"] = 			{t=12.0, d=60, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["정신 자극"] = 		{t=20.0, cgain=true, icontex="Spell_Nature_Lightning"}; -- gain
		["순간이동: 달의 숲"] = 	{t=10.0, icontex="Spell_Arcane_TeleportMoonglade"};
		["맹공격"] = 		{t=6.0, icontex="Ability_Mount_JungleTiger"}; -- gain
		["광포한 재생력"] = 	{t=10.0, d=180.0, icontex="Ability_BullRush"}; -- gain
		["회복"] = 		{t=12.0, HoT=true, icontex="Spell_Nature_Rejuvenation"}; -- gain
		["독 해제"] = 		{t=8.0, cgain=true, icontex="Spell_Nature_NullifyPoison_02"}; -- gain
		["평온"] = 		{t=8.0, icontex="Spell_Nature_Tranquility"};
		["자연의 손아귀"] = 		{t=45, d=60, icontex="Spell_Nature_NaturesWrath"}; -- talent gain
		["회오리바람"] = 			{t=1.5, icontex="Spell_Nature_EarthBind"};
		["피어나는 생명"] = 		{t=7, cgain=true, nofade=true, icontex="INV_Misc_Herb_Felblossom"}; -- gain
		["자연의 군대"] = 	{t=30, d=180, icasted=true, special=true, icontex="Ability_Druid_ForceofNature"}; -- gain
		["자연의 신속함"] =	{d=180, onfade=true, icontex="Spell_Nature_RavenForm"}; -- gain

		
		-- Hunter
		--perform ["조준 사격"] = 		{t=3.0, d=6.0, icontex="INV_Spear_07"};
		["야수 겁주기"] = 		{t=1.0, d=30.0, icontex="Ability_Druid_Cower"};
		["연발 사격"] = 			{t=6.0, d=60.0, icontex="Ability_Marksmanship"};
		["야수 소환해제"] = 		{t=5.0, icontex="Spell_Nature_SpiritWolf"};
		["야수 되살리기"] = 		{t=10.0, icontex="Ability_Hunter_BeastSoothe"};
		["야수의 눈"] = 	{t=2.0, icontex="Ability_EyeOfTheOwl"};
		["속사"] = 		{t=15.0, d=300.0, icontex="Ability_Hunter_RunningShot"}; -- gain
		["공격 저지"] = 		{t=10, d=300.0, icontex="Ability_Whirlwind"}; -- gain
		["일제 사격"] = 		{d=10.0, icontex="Ability_UpgradeMoonGlaive"};
		["야수의 격노"] = 		{t=18, d=120.0, icontex="Ability_Druid_FerociousBite"}; -- Pet gain
		["내면의 야수"] =		{t=18, d=120, icontex="Ability_Hunter_BeastWithin"}; -- gain, Talent
		["만반의 준비"] = 		{d=300, icasted=true, icontex="Ability_Hunter_Readiness"}; -- Talent
		["동물 치료"] = 		{t=15, special="pet", icontex="Ability_Hunter_MendPet"}; -- pet gain
		["먹이주기"] = 		{t=20, special="pet", icontex="Ability_Hunter_BeastTraining"}; -- pet gain
		--perform ["고정 사격"] = 		{t=1, icontex="Ability_Hunter_SteadyShot"};
		["눈속임"] = 		{t=30, d=120, cdclass="HUNTER", icontex="Ability_Hunter_Misdirection"};

		
		-- Mage
		["얼음 화살"] = {t=2.5, icontex="Spell_Frost_FrostBolt02"};
		["화염구"] = {t=3.0, icontex="Spell_Fire_FlameBolt"};
		["변이"] = {t=1.5, icontex="Spell_Nature_Polymorph"};
		["변이: 돼지"] = {t=1.5, icontex="Spell_Magic_PolymorphPig"};
		["변이: 거북이"] = {t=1.5, icontex="Ability_Hunter_Pet_Turtle"};
		["불덩이 작렬"] = {t=6.0, icontex="Spell_Fire_Fireball02"};
		["불태우기"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
		["불기둥"] = {t=3.0, r="죽음의발톱 알지기", a=2.5, icontex="Spell_Fire_SelfDestruct"};
		["저속 낙하"] = {t=30.0, icontex="Spell_Magic_FeatherFall"}; -- gain
		["화염계 수호"] = {t=30.0, icontex="Spell_Fire_FireArmor"}; -- gain
		["냉기계 수호"] = {t=30.0, icontex="Spell_Frost_FrostWard"}; -- gain
		["환기"] = {t=8.0, d=480, icontex="Spell_Nature_Purge"}; -- gain
		["얼음 방패"] = {t=10.0, d=300.0, icontex="Spell_Frost_Frost"}; -- gain
		["얼음 보호막"] = {d=30.0, icontex="Spell_Ice_Lament"};
		["점멸"] = {d=15.0, icontex="Spell_Arcane_Blink"};
		["투명화"] = {t=8, d=300, icontex="Ability_Mage_Invisibility"}; -- gain
		["물화살"] = {t=2.5, icontex="Spell_Frost_FrostBolt"}; -- Mage Talent ('Pet' Spell)
		["비전 작열"] = {t=2.5, icontex="Spell_Arcane_Blast"};
		["물의 정령 소환"] = {t=45, d=180, icasted=true, special=true, icontex="Spell_Frost_SummonWaterElemental_2"}; --2.0 Talent
		["매서운 한파"] = {d=600, icasted=true, icontex="Spell_Frost_WizardMark"};
		["냉정"] = {d=180, onfade=true, icontex="Spell_Nature_EnchantArmor"}; -- gain
		["발화"] = {d=180, icontex="Spell_Fire_SealOfFire"}; -- gain
		["타오르는 속도"] = {t=8, icontex="Spell_Fire_BurningSpeed"}; -- gain

		
		-- Paladin
		["성스러운 빛"] = {t=2.5, heal=true, icontex="Spell_Holy_HolyBolt"};
		["빛의 섬광"] = {t=1.5, heal=true, icontex="Spell_Holy_FlashHeal"};
		["군마 소환"] = {t=3.0, g=0.0, icontex="Ability_Mount_Charger"};
		["군마 소환"] = {t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
		["천벌의 망치"] = {t=0.5, d=5.5, icontex="Ability_ThunderClap"};
		["신의 격노"] = {t=2.0, d=60.0, icontex="Spell_Holy_Excorcism"};
		["언데드 퇴치"] = {t=1.5, d=30.0, icontex="Spell_Holy_TurnUndead"};
		["구원"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
		["신의 가호"] = {t=8.0, d=300.0, swarn=true, icontex="Spell_Holy_Restoration"}; -- gain
		["천상의 보호막"] = {t=12.0, d=300.0, swarn=true, icontex="Spell_Holy_DivineIntervention"}; -- gain
		["자유의 축복"] = {t=16.0, icontex="Spell_Holy_SealOfValor"}; -- gain
		["보호의 축복"] = {t=10.0, d=60, icontex="Spell_Holy_SealOfProtection"}; -- gain
		["희생의 축복"] = {t=30.0, icontex="Spell_Holy_SealOfSacrifice"}; -- gain
		["복수"] = {t=8.0, icontex="Ability_Racial_Avatar"}; -- gain, Talent
		["응징의 격노"] = {t=20, d=180, icontex="Spell_Holy_AvengineWrath"}; -- gain
		["신의 계시"] = {t=15, d=180, icontex="Spell_Holy_DivineIllumination"}; -- gain, Talent
		["응징의 방패"] = {t=1, d=30, icontex="Spell_Holy_AvengersShield"}; -- Talent
		["신의 은총"] = {d=120, onfade=true, icontex="Spell_Holy_Heal"}; -- gain, Talent
		["신성 보호막"] = {t=10, icontex="Spell_Holy_BlessingOfProtection"}; -- gain
		["신성 충격"] = {d=15, icasted=true, icontex="Spell_Holy_SearingLight"}; -- gain
		["복수의 문장"] = {t=30, icontex="Spell_Holy_SealOfVengeance"}; -- gain

	
		-- Priest
		["상급 치유"] = {t=2.5, g=15, HoT=true, heal=true, icontex="Spell_Holy_GreaterHeal"};
		["치유"] = {t=2.5, heal=true, icontex="Spell_Holy_Heal"};
		["순간 치유"] = {t=1.5, heal=true, icontex="Spell_Holy_FlashHeal"};
		["부활"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
		["성스러운 일격"] = {t=2.0, icontex="Spell_Holy_HolySmite"};
		["정신 분열"] = {t=1.5, d=8.0, icontex="Spell_Shadow_UnholyFrenzy"};
		["정신 지배"] = {t=3.0, g=0.0, icontex="Spell_Shadow_ShadowWordDominate"};
		["마나 연소"] = {t=3.0, icontex="Spell_Shadow_ManaBurn"};
		["신성한 불꽃"] = {t=3.0, icontex="Spell_Holy_SearingLight"};
		["평정"] = {t=1.5, icontex="Spell_Holy_MindSooth"};
		["치유의 기원"] = {t=3.0, icontex="Spell_Holy_PrayerOfHealing02"};
		["언데드 속박"] = {t=1.5, icontex="Spell_Nature_Slow"};
		["소실"] = {t=10.0, d=30.0, icontex="Spell_Magic_LesserInvisibilty"}; -- gain
		["소생"] = {t=15.0, HoT=true, icontex="Spell_Holy_Renew"}; -- gain
		["질병 해제"] = {t=20.0, cgain=true, icontex="Spell_Nature_NullifyDisease"}; -- gain
		["역순환"] = {t=15.0, d=180, icontex="Spell_Shadow_RitualOfSacrifice"}; -- gain
		["신의 계시"] = {t=15.0, icontex="INV_Shield_06"}; -- gain (target), Talent
		["마력 주입"] = {t=15.0, icontex="Spell_Holy_PowerInfusion"}; -- gain, Talent
		["집중력"] = {t=6.0, icontex="Spell_Arcane_Blink"}; -- gain, Talent
		["신의 권능: 보호막"] = {t=30, d=15.0, icontex="Spell_Holy_PowerWordShield"}; -- gain
		["신념의 갑옷"] = {t=30.0, icontex="Spell_Holy_BlessingOfProtection"}; -- gain, Priest Tier 3 [Vestments of Faith] 4/9 Proc
		["내면의 집중력"] = {d=180, onfade=true, icontex="Spell_Frost_WindWalkOn"}; -- gain, Talent
		["대규모 무효화"] = {t=1.5, icontex="Spell_Arcane_MassDispel"};
		["결속의 치유"] = {t=1.5, icontex="Spell_Holy_BlindingHeal"};
		["고통 억제"] = {t=8, d=180, swarn=true, icontex="Spell_Holy_PainSupression"}; -- gain, Talent
		["흡혈의 손길"] = {t=1.5, icontex="Spell_Holy_Stoicism"}; -- Talent
		["빛샘"] = {t=1.5, d=360, icontex="Spell_Holy_SummonLightwell"}; -- Talent
		["회복의 기원"] = {t=30, cgain=true, icontex="Spell_Holy_PrayerOfMending"}; -- gain 2.0
		["어둠의 마귀"] = {t=15, d=300, icasted=true, special=true, icontex="Spell_Shadow_Shadowfiend"}; --2.0
		
		-- Rogue
		--perform ["함정 해제"] = {t=2.0, icontex="Spell_Shadow_GrimWard"};
		["전력 질주"] = {t=15.0, d=300.0, icontex="Ability_Rogue_Sprint"}; -- gain
		--perform ["자물쇠 따기"] = {t=5.0, icontex="Spell_Nature_MoonKey"};
		["회피"] = {t=15.0, swarn=true, d=300, icontex="Spell_Shadow_ShadowWard"}; -- gain
		["소멸"] = {t=10.0, d=300, icontex="Ability_Vanish"}; -- gain
		["폭풍의 칼날"] = {t=15.0, d=120, icontex="Ability_Rogue_SliceDice"}; -- gain
		["냉혈"] = {d=180, onfade=true, icontex="Spell_Ice_Lament"}; -- gain, Talent
		["아드레날린 촉진"] = {t=15, d=300, icontex="Spell_Shadow_ShadowWordDominate"}; -- gain, Talent
		["그림자 망토"] = {t=5, d=60, swarn=true, icontex="Spell_Shadow_NetherCloak"}; -- gain
		["마음가짐"] = {d=600, icasted=true, icontex="Spell_Shadow_AntiShadow"}; -- Talent
		["그림자 걷기"] = {t=10, d=15, icontex="Ability_Rogue_Shadowstep"}; -- gain
		["난도질"] = {t=21, special="getbuff", icontex="Ability_Rogue_SliceDice"}; -- gain -- assuming full CPs but no talents

		
		-- Shaman
		["하급 치유의 물결"] = {t=1.5, heal=true, icontex="Spell_Nature_HealingWaveLesser"};
		["치유의 물결"] = {t=2.5, callspell={"치유의 길", 3, 12, 3}, heal=true, icontex="Spell_Nature_MagicImmunity"}; -- talent
		["고대의 영혼"] = {t=10.0, icontex="Spell_Nature_Regenerate"};
		["연쇄 번개"] = {t=1.5, d=6.0, icontex="Spell_Nature_ChainLightning"}; -- Talent counted
		["늑대 정령"] = {t=1.0, icontex="Spell_Nature_SpiritWolf"};
		["영혼의 귀환"] = {t=10.0, icontex="Spell_Nature_AstralRecal"};
		["연쇄 치유"] = {t=2.5, icontex="Spell_Nature_HealingWaveGreater"};
		["번개 화살"] = {t=2.0, icontex="Spell_Nature_Lightning"}; -- Talent counted
		["천리안"] = {t=2.0, icontex="Spell_Nature_FarSight"};
		["돌발톱 토템"] = {t=15.0, d=30.0, icasted=true, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["마나 해일 토템"] = {t=12.0, d=300.0, icasted=true, icontex="Spell_Frost_SummonWaterElemental"}; -- gain
		["불꽃 회오리 토템"] = {t=5.0, d=15.0, icasted=true, icontex="Spell_Fire_SealOfFire"}; -- gain
		["선인의 인내력"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
		["치유의 길"] = {t=15.0, cgain=true, icontex="Spell_Nature_HealingWay"}; -- gain (target), Talent
		["마법정화 토템"] = {d=15.0, icasted=true, icontex="Spell_Nature_GroundingTotem"};
		["정기의 깨달음"] = {d=180, onfade=true, icontex="Spell_Nature_WispHeal"}; -- gain, Talent
		["주술의 분노"] = {t=30, d=120, icontex="Spell_Nature_ShamanRage"}; -- gain, Talent
		["불의 정령 토템"] = {d=1200, icasted=true, icontex="Spell_Fire_Elemental_Totem"};
		["대지의 정령 토템"] = {d=1200, icasted=true, icontex="Spell_Nature_EarthElemental_Totem"};
		["선인의 치유력"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
		["영웅심"] = {t=40.0, d=600, cdclass="SHAMAN", icontex="Ability_Shaman_Heroism"}; -- gain

		
		-- Warlock
		["어둠의 화살"] = {t=2.5, icontex="Spell_Shadow_ShadowBolt"};
		["제물"] = {t=1.5, icontex="Spell_Fire_Immolation"};
		["영혼의 불꽃"] = {t=4.0, d=60.0, icontex="Spell_Fire_Fireball02"};
		["불타는 고통"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
		["임프 소환"] = {t=6.0, icontex="Spell_Shadow_Imp"};
		["서큐버스 소환"] = {t=6.0, icontex="Spell_Shadow_SummonSuccubus"};
		["보이드워커 소환"] = {t=6.0, icontex="Spell_Shadow_SummonVoidWalker"};
		["지옥사냥개 소환"] = {t=6.0, icontex="Spell_Shadow_SummonFelHunter"};
		["공포"] = {t=1.5, icontex="Spell_Shadow_Possession"};
		["공포의 울부짖음"] = {t=2.0, d=40.0, icontex="Spell_Shadow_DeathScream"};
		["추방"] = {t=1.5, icontex="Spell_Shadow_Cripple"};
		["소환 의식"] = {t=5.0, icontex="Spell_Shadow_Twilight"};
		["파멸의 의식"] = {t=10.0, icontex="Spell_Shadow_AntiMagicShell"};
		["악마 지배"] = {t=3.0, icontex="Spell_Shadow_EnslaveDemon"};
		["불지옥"] = {t=2.0, d=3600, icontex="Spell_Fire_Incinerate"};
		["암흑계 수호"] = {t=30.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["저주 증폭"] = {d=180, onfade=true, icontex="Spell_Shadow_Contagion"}; -- gain
		["부패의 씨앗"] = {t=2, icontex="Spell_Shadow_SeedOfDestruction"};
		["영혼의 의식"] = {t=3, d=300, icontex="Spell_Shadow_Shadesofdarkness"};
		["소각"] = {t=2.5, icontex="Spell_Fire_FlameShock"};
		["불안정한 고통"] = {t=1.5, icontex="Spell_Shadow_UnstableAffliction_3"};
		["어둠의 격노"] = {t=0.5, d=20, icontex="Spell_Shadow_Shadowfury"};
		["지옥수호병 소환"] = {t=6, icontex="Spell_Shadow_SummonFelGuard"};
		["마의 지배"] = {d=900, onfade=true, icontex="Spell_Shadow_SummonFelGuard"}; -- gain, talent
		["영혼석 부활"] = {t=3, d=1800, g=0, icontex="INV_Misc_Orb_04"};
		["황천의 보호"] = {t=4, swarn=true, icontex="Spell_Shadow_NetherProtection"}; -- gain, talent proc
		["반발력"] = {t=8, swarn=true, icontex="Spell_Fire_PlayingWithFire"}; -- gain, talent proc


			-- Imp
			["불화살"] = {t=1.5, icontex="Spell_Fire_FireBolt"};
			
			-- Succubus
			["현혹"] = {t=1.5, icontex="Spell_Shadow_MindSteal"};
			["유혹의 입맞춤"] = {t=4.0, d=4.0, icontex="Spell_Shadow_SoothingKiss"};
			
			-- Voidwalker
			["어둠 흡수"] = {t=10.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		
		-- Warrior
		["피의 분노"] = {t=10.0, d=60, icontex="Ability_Racial_BloodRage"}; -- gain
		["피의 갈증"] = {t=8.0, d=6, icontex="Spell_Nature_BloodLust"}; -- gain
		["방패의 벽"] = {t=10.0, d=1800.0, swarn=true, icontex="Ability_Warrior_ShieldWall"}; -- gain
		["무모한 희생"] = {t=15.0, d=1800.0, swarn=true, icontex="Ability_CriticalStrike"}; -- gain
		["보복"] = {t=15.0, d=1800.0, swarn=true, icontex="Ability_Warrior_Challange"}; -- gain
		["광전사의 격노"] = {t=10.0, d=30, icontex="Spell_Nature_AncestralGuardian"}; -- gain
		["최후의 저항"] = {t=20.0, d=480, icontex="Spell_Holy_AshesToAshes"}; -- gain
		["죽음의 소원"] = {t=30.0, d=180, icontex="Spell_Shadow_DeathPact"}; -- gain
		-- ["격노"] = {t=12.0, icontex="Spell_Shadow_UnholyFrenzy"}; -- gain
		["방패 막기"] = {t=6, icontex="Ability_Defend"}; -- gain, 1 Talent point in impr. block
		["주문 반사"] = {t=5, d=10, swarn=true, icontex="Ability_Warrior_ShieldReflection"}; -- gain
		["광란"] = {t=30, special=true, icontex="Ability_Warrior_Rampage"}; -- gain
		["피의 광기"] = {t=6, icontex="Spell_Shadow_SummonImp"}; -- gain --2.0
		["재기의 바람"] = {t=10, icontex="Ability_Hunter_Harass"}; -- gain --2.0
		[NECB_Victory_Rush] = {t=20, icontex="Ability_Warrior_Devastate"}; --2.0 special

		
	}

end
